Update a post
curl --request PUT \
--url https://api.spacebring.com/feed/posts/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"post": {
"media": [
{
"key": "<string>"
}
],
"text": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/feed/posts/v1/{id}"
payload = { "post": {
"media": [{ "key": "<string>" }],
"text": "<string>"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({post: {media: [{key: '<string>'}], text: '<string>'}})
};
fetch('https://api.spacebring.com/feed/posts/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"post": {
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}{
"message": "<string>",
"type": "<string>"
}Feed
Update a post
Update a feed post.
OAuth
Required scopes:feedPUT
/
feed
/
posts
/
v1
/
{id}
Update a post
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the post.
Body
application/json
Feed post to update.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I